commit ea9ee12e1a7c2b2394ddbc35a2ee0be06d52d687
Merge: 0e3c83b 15cfd45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 5 06:17:52 2026 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 15cfd4566d434e7b3b664d0422bca3b689f8fd14
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Sat Apr 4 22:27:31 2026 -0400

    Fix possible memory leak when notification windows open

commit d96e49799d6ebb0be01f0b4239c7c162857a6570
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Apr 3 19:35:39 2026 -0400

    Avoid modifying the sdwdate-gui menu while the user has it open, fix an edge case that could result in clients not being shown when they should be
    
    Inspired by a ChatGPT Codex PR, but substantially different from the PR
    in implementation.
    
    Because the chances of a user running an action on a client that is no
    longer connected are now much higher, this also adds some code to tell
    the user that a client is no longer connected if this edge case is hit.

commit 0e2249257a10648d52efc5cc330112c02e345ac9
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Apr 3 15:18:18 2026 -0400

    Fix sdwdate-gui.service silent failure
    
    It looks like systemd was killing the sdwdate-gui-server and
    sdwdate-gui-client processes spun up by sdwdate-gui.service because
    RemainAfterExit=true had not been specified. Adding that seems to have
    fixed the issue. We also had a vestigal sdwdate-gui-server.desktop file
    in /etc/xdg/autostart that was causing the server to try to start
    twice; one of the times was being killed by systemd, the other one
    wasn't, which is why the tray icon was appearing, but didn't have any
    clients listed in it.

commit 0e3c83b2766a6facf80f033d7979056aa570711b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 10:54:46 2026 +0000

    bumped changelog version

commit c5dcb66b704a096b3ad09300b130fa7c784b4b64
Merge: 1fbdfcc 8844c95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 27 05:18:04 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 8844c951cad4b06ed157eca40b742f39ddd711f6
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Wed Feb 25 00:30:55 2026 -0500

    Make startup on QubesOS require a NetVM

commit 1fbdfcc568bdb2fed9a09f8a5eedb7ba85a3ce37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 10:59:38 2026 +0000

    bumped changelog version

commit e5d28f188bc7728529d3d21dfa9e0f33c5d449f0
Merge: 43016ec e3f5c3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 22 04:33:22 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit e3f5c3cbb2a0c52b5220f81e26a5a66e7324db35
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jan 21 22:13:41 2026 -0600

    Fix log spam when sdwdate-gui is disabled on the gateway but not the workstation, add beter documentation and optimize things a bit

commit 43016ec5f960375fb986340b33dedee8de1b07cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 26 19:03:30 2025 +0000

    bumped changelog version

commit a7b13a9434552efbe7ffcd73c3ccdf2798c5e273
Merge: 150dd3d ec441ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 26 13:58:38 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit ec441ffa011394fba3fe7dbea3f035f492fd7b5a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 24 19:49:30 2025 -0600

    Use strict_config_parser library instead of built-in config parsing routine

commit 150dd3d60195252f26b608e1ed9a01acef0ab938
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 23 03:08:49 2025 +0000

    bumped changelog version

commit 8df6eea9c90bf17f079b1c7ca5405349c64857e6
Merge: 9abf380 4676cd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 22 22:06:11 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 4676cd2ed60eb90d7e39a8bb5d30009b20cad392
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 22 09:43:05 2025 -0600

    Try to break the sdwdate-gui-qubes shutdown ordering cycle again

commit 9abf380e5b7e5add4074a180338ffd8c0c802122
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 09:52:51 2025 +0000

    bumped changelog version

commit 4c4b5cdca62670cfa5707f73c666c6b1f6c48d71
Merge: c6b3430 e5de0b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 19 03:37:46 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit e5de0b2843db1a0c2dc755a94019c79b1ee72d03
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 18 20:52:23 2025 -0600

    Remove sdwdate-gui-qubes@.socket's explicit dependency on sockets.target
    
    systemd.socket(5) documents:
    
      Socket units automatically gain a Before= dependency on sockets.target.
    
    However, we had 'Requires/After' dependencies on sockets.target.
    Marek noticed that sockets.target and sdwdate-gui-qubes@1000.socket
    were ending up in a shutdown ordering cycle that was resulting in the
    stop job for user@1000.service being deleted during shutdown. This is
    a possible cause of the shutdown hanging bugs we are seeing in Qubes
    OS's testing infrastructure.
    
    Get rid of the dependency on sockets.target entirely, just rely on the
    default 'Before' dependency.

commit c6b343096fa843c88e5a649c63688a6bf209f6cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 11:38:48 2025 +0000

    bumped changelog version

commit 254c724007b9cf394cdbcdb9f664957a51d8a0a4
Merge: f432153 fa5c1d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 5 06:33:32 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit fa5c1d7855345f63443975e4850454d6f9ce1ee3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 5 00:08:52 2025 -0600

    Make sdwdate-gui-qubes-proxy much less likely to fail, to avoid systemd showing the system as degraded incorrectly

commit f4321530429527774f1ea340c53e9659fa61fedf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 14:22:26 2025 +0000

    bumped changelog version

commit fa456b26e8363ab067d652c05408d9a2e7bd816e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 4 09:18:40 2025 -0500

    fix cosmetic issue in Qubes sys-net journal: `sdwdate-gui-qubes@0-1443-1000.service: Failed with result 'protocol'.`

commit 293478c99e9a7dfefec2cb38331a6c35d0c51f53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 08:43:44 2025 +0000

    bumped changelog version

commit eac0bf7a0cae31d705eb6688028498e4bcb1ca99
Merge: a2cb500 211e99c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 24 03:08:12 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 211e99c7d4ba32a63c35bdf77567beccbd8b867b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 23 10:23:57 2025 -0600

    Tell systemd when sdwdate-gui-qubes@.service is initialized and running

commit a2cb5007b2ffd4473e70b1c5350cb7639f91764f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 09:11:57 2025 +0000

    bumped changelog version

commit d3833e0339ca316facc1a8993ad07d5a8f94a854
Merge: 8bfb420 4a0331d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 23 04:07:56 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 4a0331d33a744a52290cf392c0cba1de75dfe70a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Nov 22 23:15:38 2025 -0600

    Send a repeated tor status message if the server restarts

commit cd8789df35b4c031aa7fb73328f9cb8767d867e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Nov 22 22:59:32 2025 -0600

    Don't make the sdwdate-gui-qubes service fail if the sdwdate-gui-server VM isn't running

commit 8bfb42068c3f5dc8f91bff7a96261d3a464af670
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 09:20:11 2025 +0000

    bumped changelog version

commit ce1ab8b6b0e5b1059ec90274e044c9ea06e3da15
Merge: aa00fdf 402d6e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 21 04:03:46 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 402d6e5780c4660b2ace55bf2c7dc538c67473f2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 20 22:58:38 2025 -0600

    Prevent sdwdate-gui-qubes-proxy-helper from possibly delaying boot

commit 636160bd3fbae1cc3e06335d6262b6628b4ca2ea
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 20 20:02:22 2025 -0600

    Fix menu flashing, fix CPU usage issue and prevent massive notification floods when qrexec fails, harden

commit aa00fdf808b29f9ac461ae57dbdd9624cb2c317f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 12 06:12:40 2025 +0000

    bumped changelog version

commit 4a61dd421cf2f42d094168a60b2ca152d2ae20ea
Merge: 4b29a2f 55e0014
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 11 23:57:18 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 55e001450c4f62d060ea41a05b95b774cfd147aa
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Nov 11 19:02:20 2025 -0600

    Move sdwdate-gui config migration code to sdwdate-gui postinst

commit d52063b1a305c342f47114cb8148eb2987b7cceb
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Nov 10 20:35:59 2025 -0600

    Improve handling of invalid data (from ChatGPT Codex suggestions)

commit 4b29a2f7a7bf523bf9f6236c5b04e063b2d029cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 07:59:40 2025 +0000

    bumped changelog version

commit e9cf009205bef841c2aa0ea1b71e7647c87bc804
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 02:46:38 2025 -0500

    lintian

commit 7c9448482b9c8c52fdaf20aa2c344354abc399d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 02:45:55 2025 -0500

    chmod +x

commit 327f7fdf349552f4f1e88664bc0d14ea1d4b0ab5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 02:43:59 2025 -0500

    debugging

commit 9f761662592400e966ff27536a3694a84877a24d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 02:38:06 2025 -0500

    comment

commit 7ea935a3f68d8d6cc5ba473f2f64c9670a9e62a6
Merge: 067c210 005b67a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 10 01:58:50 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 005b67ada30f6c4e3bba59315c01dd60493e67ae
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 9 14:20:44 2025 -0600

    Better exception handling for config file parse failure, refactor main loop in sdwdate_gui_client to keep pylint happy

commit 79fe0d17ffc83d788ba3ac20437968c9ea6aa7e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 9 14:06:48 2025 -0600

    'disabled-running' -> 'disabled_running' (issue found by ChatGPT Codex)

commit c74255d820108f95256ab1ff76c7c13686d7919d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 9 14:02:14 2025 -0600

    Refactor config file parsing, socket data parsing (with integrated bugfix from ChatGPT Codex)

commit 067c2101c1917f43b4677984ab7f6ccff99058e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 13:00:29 2025 +0000

    bumped changelog version

commit 421913fd01efc9058ffc676da38a7fe7c5fa3357
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 08:00:05 2025 -0500

    `Depends:` `python3-pyinotify`

commit 4377045b741575fb031cc83a3909b08563c51188
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 11:08:51 2025 +0000

    bumped changelog version

commit 04b5f5c1c78df585c348387ff3b5e24f97379c0c
Merge: 84315d5 32860fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 9 06:07:08 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sdwdate-gui-client-asyncio'

commit 84315d595de6faf2a224ef38a6bd801756d29d17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 11:22:22 2025 +0000

    bumped changelog version

commit 9e80a6d83d7b11248a1b058d7b20efc9a46d66f3
Merge: 7451bc4 deffa50
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 3 03:59:17 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit deffa5039800d1eac28d83ed5cb9dc7dc9cb1f19
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 2 12:54:19 2025 -0600

    Fix icon change failure when a Whonix-Workstation is shut down, remove confusing info from a docstring

commit 8b7071eb57fdc2bc437d42c8bc9225a1ec86c30f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Nov 2 12:38:47 2025 -0600

    Autodetect server socket location rather than hardcoding it in sdwdate-gui-qubes-proxy-helper

commit 7451bc4d257e6fd647e0c85cba1dd924298e8979
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 11:41:17 2025 +0000

    bumped changelog version

commit ae89be6220f04f362344483e38af13ef8e803035
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 03:46:14 2025 -0500

    lower debugging

commit b5c48ace718e2987dca6e6230cdaa297b8a3d5c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 03:46:02 2025 -0500

    comment

commit 0c7c03b82874daa291b88e09dafb9355d266343a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 2 03:37:49 2025 -0500

    debugging

commit 82862c1a4427331d0a897e104a6af7fcd936a1c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 08:18:40 2025 +0000

    bumped changelog version

commit 6a6753ec14092f54bd35e9ffc187b72986d00a16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 1 02:35:34 2025 -0400

    remove no longer necessary dependency on sudo

commit 32860fdc4f30a2e02f28536ba733e5f7ba9a3972
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Oct 26 23:10:53 2025 -0500

    Port sdwdate_gui_client.py to asyncio/pyinotify, in place of Qt

commit e0f251454e7bec56b354e8fadfce7018e7c84193
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 04:31:25 2025 +0000

    bumped changelog version

commit f971b921c8a6d38db5a7f4d5618e577a710d9228
Merge: 6b09dc7 2dc019a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 24 00:22:24 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 2dc019a1e6967d55ca8a8cfd8e24a35e269bab10
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 23 21:24:45 2025 -0500

    Rename sdwdate.Connect(Check) to sdwdate-gui.Connect(Check)

commit 6b09dc705f88d273c4495cf47c88e4ee41a0417d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 08:06:23 2025 +0000

    bumped changelog version

commit 8e7c639dc8fe25068df6c11f6416ca977d52117d
Merge: d129f59 aa3d90b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 10 03:49:41 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit aa3d90b65b4cfbc46535e0fd0666d1990f092fcd
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Oct 9 20:20:25 2025 -0500

    Change sdwdate-gui tooltip to indicate that a right-click will open the menu

commit d129f59f622a19274a607de42fe7b33852e4dcef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 19 16:18:16 2025 +0000

    bumped changelog version

commit 3fcd3a3d080bd0ea9b8d10239d3fed0b17f8a272
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 18 10:08:10 2025 -0400

    fix

commit 79fd2c5d20712f7e80f590fdf854d687a0298313
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 16 05:15:39 2025 +0000

    bumped changelog version

commit fe1e2d7ea5022f98d6c469085fb105a25e396114
Merge: d65fb8c 5c76089
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 16 01:00:00 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 5c7608971a16dcb3195f78ffbd88277b0bb5848b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Sep 15 20:02:41 2025 -0500

    Avoid hanging with an error icon if Tor or sdwdate isn't started when sdwdate-gui-client is started

commit d65fb8c6e013c41acc8bbaad58870084978daea1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 15:25:29 2025 +0000

    bumped changelog version

commit 164006421574ad8f07867660f23f2b4293631689
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 30 14:19:11 2025 +0000

    bumped changelog version

commit 94bdfd5050cc75d0670da067c57fda9fa7689a95
Merge: 72614e6 ce60711
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 30 07:59:14 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit ce607117f7aad71a52f72b9e51623d0815f6832b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 28 23:27:57 2025 -0500

    fix omitted backslash

commit 2718e7e0dc9b786018f73f4d9bd8545adffbf74b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 28 23:12:24 2025 -0500

    Make sdwdate-gui configuration parsing more robust, also parse /usr/local/etc/sdwdate-gui.d

commit 53e0fa38311ad0d348a201f3d72f509fb456db24
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 28 22:57:57 2025 -0500

    Only enable Qubes-related services on Qubes OS

commit 72614e6285a94cb24953859bb2a9075d53dd1169
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 19:30:39 2025 +0000

    bumped changelog version

commit 93d3102c4b882b994895d69b69cb2caac2161d29
Merge: 45b3ca9 0bed235
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 12:34:11 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 0bed2357538eed237d08aefe034bd8e9b36a0308
Merge: e7b838a 45b3ca9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 26 19:20:38 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 45b3ca99314d526a02481363d48c0cf33c707248
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 09:15:57 2025 +0000

    bumped changelog version

commit 0c9bc4bced3e3a031d3208c5f91bac83e31eff62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 05:15:55 2025 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit e7b838a42a69eb9a59a12bfc11e3a03d7492fdbf
Merge: 858bf0d aa5cbe8
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 20:08:48 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 858bf0db230027fc2e1b276b7fc2ad3098716da5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 18:37:30 2025 -0500

    Disable left-clicking on the sdwdate-gui icon

commit aa5cbe8f1b3f21897efe9d90a676413c0c5a99c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:57:29 2025 -0400

    bumped Standards-Version

commit af464cacb3babb80b2c1eb7755ceaa874f50af9f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:25:35 2025 -0400

    readme

commit 0a132f2b5cbc1cada7748f6140c88d509747df66
Merge: 987fe16 bb1de54
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Aug 18 22:25:42 2025 -0500

    Merge branch 'arraybolt3/qubes-redesign' into arraybolt3/trixie

commit 987fe16c51ff22cbf8acb58f08b6ca413b8e34d9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 22:58:06 2025 -0500

    Port to Trixie.

commit bb1de5438913133cf49cb11414516d00b55e32c2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jun 27 11:05:05 2025 -0500

    Add rm_conffile commands for migration to new sdwdate-gui architecture

commit 9fe4b7c8e1b10b1c84805d11cbbe8205a4e76431
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Jun 25 20:18:47 2025 -0500

    More sdwdate-gui rewrite bugfixes

commit 5d6d5e90f3bdb9a91a88f7c651fc3478f5b305a4
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jun 24 20:36:39 2025 -0500

    Fix memory management issues in client and server

commit b632c84f72dd2d03fa128e46ad38e13889bedad1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Jun 23 22:41:09 2025 -0500

    Rewrite sdwdate-gui to use a client-server model

commit b9869462ca0267c3ee43da61879e84ee2e0e7d35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 19:15:49 2025 +0000

    bumped changelog version

commit 434788ceba6b82e492a523335c04bbc02e4aa353
Merge: 56d2361 f4b2b8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 11 15:04:34 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/privleap'

commit f4b2b8b0e19ec1c797ebe9173a3b1a4f61c6aef5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jun 6 13:50:27 2025 -0500

    Add privleap group to authorized groups for actions

commit 56d2361436b52e15fc84fa1d841797ae790972e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 06:41:31 2025 +0000

    bumped changelog version

commit 3f44d66ed280ebf0754de3bc5f8103719328fab9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 02:36:26 2025 -0400

    python -su

commit bdb7ae01ba875fc6275b8abe474caf585a413e72
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:54:05 2025 +0000

    bumped changelog version

commit 4fa6b380f9d22e3e74eebe8e2c3055705339497d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 05:51:05 2025 -0400

    comment

commit b14033b999b3d06d4042e835aafba94a0e5bcbbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 13:58:52 2025 +0000

    bumped changelog version

commit a40bf7d73673d027b524c1bcc3497938e5c78695
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 17 08:15:39 2025 -0400

    delete symlink: `man/sdwdate-gui-qubes.1.ronn`

commit f31247a133434ce6623a727b7132aa5d20c63f82
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 21 09:56:03 2025 +0000

    bumped changelog version

commit f9074e025c14bd6a9a576824ec1eef316682f505
Merge: 1b5cee6 6e07eca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 21 04:19:08 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/pl-actions'

commit 6e07eca031d81a2e9869df7da3632d621092343a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Feb 20 22:45:17 2025 -0600

    Update privleap config to new syntax

commit 1b5cee66ba1684b8bcdce02f79956f51e81f58c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 20 05:14:52 2025 +0000

    bumped changelog version

commit 7140b9ba263304d57a80ec933e17db667f5b6397
Merge: fee8c77 29f32c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 20 00:13:45 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/run-user-1000'

commit 29f32c63ee698465c73c626789cee3d5c25bdb3e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 19 01:14:48 2025 -0600

    Use a safe directory outside of /run/user/1000 for inter-qube sdwdate status communication

commit fee8c771ef4ec8e60925f3aa35839525909ac4f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 17 12:28:29 2025 +0000

    bumped changelog version

commit 797b63e061232a9cfc64fb6a36bcf295fb2787f2
Merge: 5360fd2 414212e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 17 07:12:37 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/run-user-1000'

commit 414212e3b08d63ad42a905346dcb362805865755
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Feb 16 22:51:48 2025 -0600

    Fix permissions on /run/user/1000

commit 5360fd27c630771c3f32ae1ef9e33d495786c740
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 8 11:29:49 2025 +0000

    bumped changelog version

commit 0aeb59cc5b2ba6466c863367bcd5e159d02cfc48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 8 05:43:36 2025 -0500

    use end of options

commit ab790318112b5963c23d5dbed51aec1201cb5201
Merge: 7516ca6 79df7da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 8 05:41:58 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/temp-file-move'

commit 79df7daaef3a15ddfee491362a427063cdfeee08
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Feb 7 14:36:50 2025 -0600

    Save sdwdate-gui-qubes temp status files under /run/user/1000/sdwdate

commit 7516ca660f11966454914c6249d46677c37731ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 16:21:59 2025 +0000

    bumped changelog version

commit 94a8ccb5d5f54790d4f98520eda39f1c17fbd1cb
Merge: f00551d a8883de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 11:18:36 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/privleap'

commit a8883debf8fde9cedf3cdf8d8669a6df21cb6766
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 5 20:19:25 2025 -0500

    Fix ASCII check in commit-sdwdate-gui-anon-status

commit f91cd35568659bba629d455e92dd10a7fe820689
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 5 00:46:28 2025 -0600

    (wip) Make sdwdate-gui-qubes work using privleap

commit bad81db9218661ed34f116330b20782e696f6af0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Feb 3 21:33:56 2025 -0600

    Add privleap as a dependency

commit 4e0bf613ffa1755f7b73f8e26dd0e77b7cac7a8a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Feb 2 16:32:14 2025 -0600

    Port to use leaprun rather than sudo

commit f00551de59c04d28175ff2f36a0ac51e15d2e958
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 16:28:40 2025 +0000

    bumped changelog version

commit 22c07ef7f56670fe5392c9e6186fa1827a5344f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:12:24 2025 -0500

    copyright

commit a6de78626776758b6eadd165c051cbdf8643b7e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 18:41:43 2024 +0000

    bumped changelog version

commit 2153214b391b760883a740d335298b137c754ed8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:20 2024 -0500

    copyright

commit f9756cb7aa107b4c1181a5c7094099167a98ebd0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 25 21:07:22 2024 +0000

    bumped changelog version

commit ce1af47c8ed803d786fa843664b926a6c60edae0
Merge: 8b31892 5968a48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 25 16:01:25 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sudoers'

commit 5968a48858bbbe0bc4397d33c5fbbab8bc7117ea
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Nov 21 19:24:17 2024 -0600

    Remove redundant sudoers config line (already present in package sdwdate)

commit 8b3189249ba65b949465f143082d4fff34f2cc23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 8 17:41:10 2024 +0000

    bumped changelog version

commit 244accf5078a4a9df8e51b02165761da62642b21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 8 13:13:35 2024 -0400

    root check

commit a20c10e95dda24d08a20a0ddebcef41c405bda8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:37:23 2024 +0000

    bumped changelog version

commit 8bfdf3385ec6d8727881041497ebc661ce5555b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:40 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit 42387af66ec4da17383d6bc43527e3f2ffce32c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:45:50 2024 +0000

    bumped changelog version

commit 200e9bd4f893d3ae10d3ecd49021ce9fd1092393
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:19:12 2024 -0500

    usrmerge

commit 89b187c49f186d4ddf8e5f77a491a73d58cfebf5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 20:53:24 2023 +0000

    bumped changelog version

commit c125402e1de766488d0ee14a05313ae46f5bc2a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 15:48:15 2023 -0500

    add timeout to whonix.SdwdateStatus qrexec call
    
    https://github.com/QubesOS/qubes-issues/issues/8672

commit 6092465c78e8df5e097c40249219b87e9997618c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 15:36:34 2023 -0500

    guard against slow/broken qubesdb-read
    
    https://github.com/QubesOS/qubes-issues/issues/8672

commit 4cf65f122a3b7e8c63bb2cb5384561c1588657ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 26 23:07:16 2023 +0000

    bumped changelog version

commit 205d5832df681b67c2cc6813a8529473ee647264
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 26 18:06:08 2023 -0500

    fix sdwdate-gui-qubes restart, stop, open log actions; refactoring
    
    https://forums.whonix.org/t/sdwdate-gui-for-qubes-testers-wanted-developers-welcome/5469/27

commit eb14289dcc95920efb40d26931e1372c1ba767ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 20:19:44 2023 +0000

    bumped changelog version

commit 07818548d0eccec1c8978f5fd0ded3e16d6ac170
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 25 15:19:14 2023 -0500

    fix sdwdate-gui-qubes

commit 3fa252a337357def70f04fa8c50b7ed61561a29c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:22:19 2023 +0000

    bumped changelog version

commit 5f263beac47c4963e5a6e747fe2c3baa02f08101
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:31 2023 -0500

    change license to AGPL-3+
    
    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit 29bc44a69f42599b78bcb16bd5635f3fc0bda211
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:53:11 2023 -0400

    bumped changelog version

commit 4a1a9e314ef47a521f931480bfba4ce225096d45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:51:49 2023 -0400

    fix

commit 9d55af3a2b9adc0516d092a773a7e4aa5d2b07be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:34:42 2023 -0400

    bumped changelog version

commit 6668b0151c062739fa9e997514f82e20e76ddfeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 00:28:14 2023 -0400

    cleanup

commit 48af20ebcc88b3107466097d441f97a2d4aeacbb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:38:44 2023 -0400

    bumped changelog version

commit 3833ec71d1b71766eeff53eb5f658adaa7cea411
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:36:54 2023 -0400

    correct signal exit codes

commit 559a03fbdf83fd1e892e92c1a0a874d28efd6c23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 13:10:54 2023 -0400

    bumped changelog version

commit 830cba3fb33d596998d5cacdf2b48461a4bae995
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:56:24 2023 -0400

    avoid `shell=True`

commit e2e54013b634d4d351ea8d402129bbb0e6ac623b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:41:54 2023 -0400

    rework sudoers exceptions

commit 92daf651f11ce2c3f88679e7a1c61e0d7007de7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:34:26 2023 -0400

    wayland

commit ad9cfbad0f86c0ad2887398de80b9bb2f56e7a8d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:14:50 2023 -0400

    allow termination through ctrl + c (signal sigterm)

commit 7c94cbbe82372340a73997f6eb75acaef632b4a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 12:08:34 2023 -0400

    wayland

commit ba047c003da8a9643753116436085fe0a07cb48c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:31:15 2023 -0400

    bumped changelog version

commit 23c0a31232b35a49b79c8a94532cf0294adfca7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:27:18 2023 -0400

    wayland

commit 71f82339df000477994c4d02a07509abbefb8981
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:33:24 2023 -0400

    comment

commit 93dcdd1be026dc2352e0ea187f715208d7b2f7cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:08:29 2023 -0400

    bumped changelog version

commit d325e32bcef934a00648c01f6e9493df3905ebef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:02:03 2023 -0400

    tmpfiles.d improvement

commit 75124dc7aa6e7be5412a1ed86c6bc38c6cf66e34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 15:01:03 2023 -0400

    tmpfiles.d syntax fix

commit 29ef60d8dd4370acafedaaf6a2b0c6ba67c231a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:07:56 2023 -0400

    bumped changelog version

commit ce475315b665594d18e365c9b6c31a4d6ec379a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 07:49:30 2023 -0400

    comment

commit cb1d5ebd5fa21810a00eea7e8a48bd0546abe786
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 07:47:31 2023 -0400

    improve error handling in case of sudo hardening

commit 02b5524a1e3bb224155db2729550a4edf5436816
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:48:23 2023 -0400

    bumped changelog version

commit bd375caee98b60a9d0764e07790a47f8b0ca3df7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:19:05 2023 -0400

    Kicksecure

commit 0329d7e206b86ae063fe1661f93c6fd83c5858e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:09:44 2023 -0400

    Kicksecure

commit 0dbafbdc79fdc9c7aaf4f68bab29776055d555c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:36:30 2023 +0000

    bumped changelog version

commit 4c7a29e935729eb68cbf35761f554e45a3753af1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:30 2023 +0000

    bookworm

commit 8ae422b35f8a170561f886e86dec1055f26303e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:08:51 2023 +0000

    bumped changelog version

commit b1e5fec742c50477221ad2ebc716a9aa73b3e763
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:05 2023 +0000

    readme

commit 937350c2918f2abcbe65c67a45d9522b0469f6c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:04:50 2023 +0000

    bumped changelog version

commit c75154d4c3fb4f420ad55ce127b1d6350c824aae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:47 2023 +0000

    copyright

commit 360da72cc4e33f1fdca7eb0e48134effd3407543
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:01:43 2023 +0000

    bumped changelog version

commit 635a09d66f1c0aa23ef6e9af02472c01f62efe95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:32 2023 +0000

    Standards-Version: 4.6.1.0

commit 638ae3e7074b950690095da3bf42833d41b256c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:32:52 2023 +0000

    bumped changelog version

commit 8d6f8e58c5ec96d7b3037b55fedcfda7e9330c78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:01 2023 +0000

    update copyright year

commit ce3041a4535e57a231e7ee139132c122025a6bdf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:17 2022 -0400

    bumped changelog version

commit 365307df848f647caa751c879d6627dd57c58a2d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:10 2022 -0400

    readme

commit 935ba5cfcb6cfd939ef8bf1af35d9bab9ea50627
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:38 2022 -0400

    copyright

commit 21f2c7cc6917d96a6e79c95c6e078397d1f4fb2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:15 2022 -0400

    readme

commit a34ec46a313c3edcd5da62e38dc6ab3ad4708127
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:49:27 2022 -0400

    .

commit 2e511805cceae045b1da0d484793351624509e11
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 08:02:11 2022 -0500

    bumped changelog version

commit f14b3bf09809bc9762bd9d298e729c58b48361f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:37:31 2022 -0500

    output

commit bea23fa689b30a4e6cfa6c6d45d8257dcb4bc53f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:35:26 2022 -0500

    output

commit 0a47bdc5c0c274dd24e66244fc7d841fa5fd8eb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:34:50 2022 -0500

    fix

commit 374bc31c8bd97de6e2f4f578e120daf70527e9eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:34:02 2022 -0500

    notify-shutdown: skip notify shutdown if sdwdate is not running

commit 531ddf5f43363ff4a19cead2c5a1456feb651d64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 6 15:14:18 2022 -0500

    bumped changelog version

commit c694998f22e36ff142213ff177e789acec3f2dce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 09:02:38 2022 -0500

    do no autostart if file /run/qubes-service/no-sdwdate exists

commit fb705bbb36697e8e034288deb35602a7620af70d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:28:11 2022 -0500

    bumped changelog version

commit 7d9b5044a35d19e44454e0fbdf34efa055b30ef5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:18:54 2022 -0500

    ConditionPathExists=!/run/qubes-service/no-sdwdate

commit 68925c2929c0c79e4164b49801d2c70533fa7a96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 07:42:58 2022 -0500

    bumped changelog version

commit a60a996ce2228830607aa7afdde8aec9d512daa0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 06:20:27 2022 -0500

    restart action: use `sdwdate-clock-jump`
    
    instead of restarting sdwdate manually

commit d2ff50f489b4459761633316fe25edb7a34c1ceb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 06:01:14 2022 -0500

    minor

commit ccbeb868b20dc55b6c7723374dc7b1a16c1181bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 05:53:56 2022 -0500

    fix

commit 064a86ff73dd55fc03da446092452864a28f90df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 31 10:32:40 2021 -0500

    bumped changelog version

commit 21d35022ab47dde44eacbef75c5d6c2260125521
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 31 10:31:24 2021 -0500

    port to QREXEC_REMOTE_DOMAIN
    
    part of https://phabricator.whonix.org/T930

commit c45f0e38c116cf45cb198a67f8eaf7f819c1eb57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 03:39:51 2021 -0500

    bumped changelog version

commit e371e234a15cbaf89181798a204192d2a92df089
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 03:37:10 2021 -0500

    fix "Denied: whonix.NewStatus" dom0 permission when shutting down Whonix-Gateway [Qubes OS 4.1]
    
    Thanks to @unknown for the bug report!
    
    https://forums.whonix.org/t/qubes-os-4-1-denied-whonix-newstatus-dom0-permission/12954

commit 19e6b6287229577647fc7556aefd92e1c15db4ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 24 15:06:51 2021 -0500

    bumped changelog version

commit d4f963b6e5aa434dfc38229faaf2a7eef932dde4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 24 15:04:30 2021 -0500

    `sdwdate-gui-shutdown-notify.service`: `Before=shutdown.target umount.target final.target`

commit 5141ec63cd230ec825e7f15ff5d74e81605b174f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 24 15:01:25 2021 -0500

    avoid start/restart of sdwdate-gui notify shutdown service during package install/upgrade
    
    dh_installsystemd --no-start --no-stop-on-upgrade

commit 02632d8e92742b4a7183810667c76de1a7ca94b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 14 10:03:43 2021 -0500

    bumped changelog version

commit 933883ec710eb0a5a43a276e0c6789b7744d42a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 14 09:35:45 2021 -0500

    sdwdate-gui log viewer: set window title

commit 6d0861c630a85f98d9d1134e0be3d57b1718b65c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 11 15:52:17 2021 -0500

    bumped changelog version

commit 5d844f993af7bc69c30140d35de8b8cf72331780
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 11 15:48:14 2021 -0500

    Fix harmless but nuisance warnings in Qubes R4.1.
    
    "Denied: whonix.NewStatus Denied whonix.NewStatus+whonix-gw-16_shutdown from whonix-gw-16 to sys-whonix"
    "Denied: whonix.NewStatus Denied whonix.NewStatus+whonix-ws-16_shutdown from whonix-ws-16 to sys-whonix"
    
    By preventing `sdwdate-gui-shutdown-notify.service` from running inside Template.
    
    Thanks to @zellchristensen for the bug report and @marmarek for the bug diagnosis!
    
    https://github.com/QubesOS/qubes-issues/issues/6983

commit bc70b1302dc3508ef411c74467e3442545682082
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 11 15:47:43 2021 -0500

    minor

commit 5f5876d433403842d7ce5e189b29bef7816b25f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 11 15:46:09 2021 -0500

    comment

commit ece7f62d18c99c67d7d6fe98b391deeb21546e22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:33 2021 -0500

    readme

commit 01a7d2203335a17d8f8b44f7490652e1976198b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 24 11:59:35 2021 -0400

    bumped changelog version

commit 50d0ea4060dda8b3d6d4ee529b198ee711d2d2b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 24 11:52:14 2021 -0400

    refactoring

commit 366b75411e5f7491bab783df14b164114956e1ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:56:48 2021 -0400

    bumped changelog version

commit df0ea31329171cf63f3e0d9189ac4528e80e03de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:38 2021 -0400

    readme

commit 218307dde7ff083397dcd45c56445d1ca4ff575c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:03:05 2021 -0400

    bumped changelog version

commit 6c39efa7802d6805a1fed857488d62b96fc4a3e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:31:15 2021 -0400

    chmod -x usr/lib/python3/dist-packages/sdwdate_gui/*
    
    lintian FHS

commit 818f8d10ff5a857ec8ecc736e256d187da159f0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:47:24 2021 -0400

    move /usr/lib/sdwdate-gui to /usr/libexec/sdwdate-gui as per lintian FHS

commit 72afb8a6b103f07e532069f9535a5320a33509a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:45:46 2021 -0400

    move /usr/lib/sdwdate-gui to /usr/libexec/sdwdate-gui as per lintian FHS

commit ec462dcadbd21eabe3f6c98c8c5bb4addfd0a2de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:56 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 5a7ec23792457848611ccb7d9048013529d0a311
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:34 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 4f2e31e9287194255f6fd22a7b53001b01fc69f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:43:52 2021 -0400

    man page

commit cf4ca6aab368b5c8a190074a6f0343c63240f030
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:25 2021 -0400

    bullseye

commit 16b8d7f5299c9aa47bdfb300bb4dbe2d89bae485
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:40 2021 -0400

    readme

commit 37a1229ba457afb44d42f8406742f819a7b976da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 7 12:12:19 2021 -0400

    bumped changelog version

commit a8eb0e2a5ad818acb3c2faf137c0569899536d04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 7 10:14:09 2021 -0400

    minor

commit 747dcdbec10998db97ce3b88426c76a40b12f4ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 7 10:12:50 2021 -0400

    minor

commit b0aef886b6eda84e9d787868f10b0f105402863b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 7 10:11:58 2021 -0400

    port from tor-control-status tor_status to anon-connection-wizard
    
    fix minor confusing log output
    
    https://forums.whonix.org/t/full-system-apparmor-policy-testers-wanted/10381/83

commit 9a17fb208fb5fe62191238b2a3f2c462c325daaf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:09:18 2021 -0400

    bumped changelog version

commit e08d5a0bf41a50e9d243f534b7fc0ae3234d3079
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:22 2021 -0400

    copyright

commit 640725c3926bb712cc6e72fc0e6c35125e4f7078
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:30:47 2021 -0400

    bumped changelog version

commit 56c36bad553ebd3b143e03b70b2fe8e961858941
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:20 2021 -0400

    copyright

commit 08b3a2910659bc24d7d8e1708a01e221c38d1191
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:08:22 2021 -0500

    bumped changelog version

commit a70f8309f07c63a2ad1ea88d0ff2db7db1cab303
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:08:21 2021 -0500

    readme

commit 16c34719faf7342699734e86f26e20d8af1d2ae3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 06:33:06 2021 -0500

    increase sdwdate log viewer scroll back size

commit 20ea0af2468a0f611dd50c69853fb8def2f3bfef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:51:45 2021 -0500

    bumped changelog version

commit 34721d82feb1f02b76fc314a8e95cb8875f38105
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 25 06:47:01 2021 -0500

    comment

commit 7505fb1fd1a6cb38d6872b7d95a9937b76c5b734
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 11 03:12:39 2021 -0500

    bumped changelog version

commit cc8937a1a6d644138e444b57fa0b20c2b563d02c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 11 00:50:23 2021 -0500

    update path

commit 0fa33c7cfc8f58a92ff5077204618002a6a81e5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 10 23:18:29 2021 -0500

    bumped changelog version

commit ad8a7fd73a9c5795fb6ca257cc145df71fc492af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 09:52:27 2021 -0500

    comment

commit e909b146b4b3e2117d56f02c4ff3d6a105d36b10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 09:51:36 2021 -0500

    limit sdwdate-gui log viewer to current boot
    
    to avoid confusion showing log from previous Qubes TemplateVM boot

commit 75c10dc28414684d6b41cb5dc421e465d3088d7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 11:39:58 2020 -0500

    bumped changelog version

commit d4d09c507d6ab6ae18df6312b08f49b5e6f5cd88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:11:02 2020 -0500

    refactoring

commit 80b74aec1b81af8e92c9797aff0c85de1567cccd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:09:15 2020 -0500

    output

commit 90be7720b8c62f34f8e647ecdcc8297504ede4c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:08:06 2020 -0500

    output

commit 9da92115c49fb1c7890e5803c35af014a5242a7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:07:44 2020 -0500

    output

commit a04887ae355a54b2e94c13297b36e93952c3e712
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:04:27 2020 -0500

    refactoring

commit d4af09044b0b89a117a1ef27a890531d6a689ee8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 03:03:49 2020 -0500

    run only in Qubes

commit e9d82a59dffc85d37a1af6d9233aea810169b718
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 02:57:03 2020 -0500

    refactoring

commit 333238d1a34166017ab58e124157f7bc2bdbf695
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 06:17:45 2020 -0500

    bumped changelog version

commit 50e2d0f211185c04a0641459ee9845265cce55f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 06:03:45 2020 -0500

    fix unwanted automatic restart of Qubes-Whonix-Workstation in after shutdown
    
    quoting fix
    
    https://forums.whonix.org/t/impossible-to-shut-down-workstation-qubes-after-the-latest-update/10627
    
    Thanks to @singularity for the bug report!

commit caa2f73a15e32943c825367586826533ee47d495
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:17:25 2020 -0500

    bumped changelog version

commit 0c4caa97a4af96b94ed5624115d5d898e17e308a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:17:25 2020 -0500

    readme

commit d2adb7b3260bed68c63101c0cfbdfd6475da3221
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 07:01:57 2020 -0500

    refactoring

commit 4d4f505dc14681ce81bab505d562cf32b3e11eba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 06:59:21 2020 -0500

    quoting

commit 0f816ed91477eed9d0bab152ec45f7349adcfac9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 06:55:38 2020 -0500

    fix, do not qrexec notify self on shutdown
    
    fixes https://github.com/Whonix/sdwdate-gui/pull/3
    
    Thanks to @icequbes1 for the bug report!

commit 7b1e2a99d62f5d960783d576d7a75d560b12b040
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 22 11:10:32 2020 -0400

    bumped changelog version

commit d585273ccce59a093bd5cd01e95dd85490ce99a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 22 10:59:34 2020 -0400

    https://github.com/QubesOS/qubes-issues/issues/5930

commit 31a4c7260adbb880f17a14e81007440844393edb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 19 07:59:12 2020 -0400

    bumped changelog version

commit 360f52e6cd9fa411b0cb7c9b50a3f3cbb7016b7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 19 07:57:57 2020 -0400

    also open sdwdate-gui-qubes with left click
    
    previously was sdwdate-gui (Non-Qubes-Whonix) only
    
    emulate commit by @marmarta
    
    a1af62b5435cd54a32080f3ebb810f807ad4b555

commit e7bbf02f2d3ab19ca4c22554e1fcb90948e47443
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 19 07:12:28 2020 -0400

    bumped changelog version

commit a72b9be51017a8be4d8a91db9cc8ba8008a7522f
Merge: 99b9400 01e70f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 19 07:12:11 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 01e70f863f2091cc4652c90f6c3106e3caa6baa5
Merge: 99b9400 a1af62b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 19 11:11:49 2020 +0000

    Merge pull request #2 from marmarta/icons_from_nina
    
    Made the sdwdate-gui menu trigger on left click

commit a1af62b5435cd54a32080f3ebb810f807ad4b555
Author: Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com>
Date:   Sun May 17 16:24:37 2020 +0200

    Made the sdwdate-gui menu trigger on left click, too

commit 99b9400df8d87139d7c40da790483a6e803c72bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 06:55:55 2020 -0400

    bumped changelog version

commit d0e946be4b2169c31bbbc3ec20c23ae0f4e30e5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 13:35:29 2020 -0400

    add improved sdwdate-gui systray icons for status waiting and stopped
    
    Thanks to @ninavizz for contributing these new sdwdate-gui icons!
    
    https://phabricator.whonix.org/T991
    
    https://github.com/Whonix/sdwdate-gui/commit/0471ff0d93f337fe83c29705c7ac8618e3b122c6#commitcomment-39152183

commit 0471ff0d93f337fe83c29705c7ac8618e3b122c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 09:35:45 2020 -0400

    add improved sdwdate-gui systray icons for status success and stopped
    
    Thanks to @ninavizz for contributing these new sdwdate-gui icons!
    
    https://phabricator.whonix.org/T991

commit e8a62ce289205561a488eaecd5e767f0bf391117
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:21:46 2020 -0400

    bumped changelog version

commit 12b0fbf0cac0af9d71c6779bb8b7393c342d26fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:21:25 2020 -0400

    mkdir -p /run/sdwdate-gui

commit 241d07ec113cad20f078ba38a7a943ded07055e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:19:13 2020 -0400

    bumped changelog version

commit c6cfa3cd95899206ec559109be5f155eb3fc922c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:18:45 2020 -0400

    cleanup Recommends: vbox-disable-timesync
    
    because deprecated

commit fe497c3e2c37f4e74cc3ceb5862d892061de0646
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:43:06 2020 -0400

    bumped changelog version

commit 5e72119c7de929bbe29151190f423138554e4973
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:36 2020 -0400

    readme

commit d5646d7343f746fdf27a918c32f2d9d70bf29e48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:09:05 2020 +0000

    bumped changelog version

commit 91c2cab6e9a42a6efe1bcb964092680b3e46139a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 11:50:21 2020 +0000

    use journalctl to read logs

commit 7f914103b891dbaca2c805cc987d554b32dc5fee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:58:20 2020 -0400

    bumped changelog version

commit d9208d3cb1f7ef9f199c861e947c219d134f4ac6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:46 2020 -0400

    readme

commit cef2359fea00e8386691ffeac64ef5703a861129
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:59 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit a45edd55139095b71100b0285680daa74912d802
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:32 2020 -0400

    remove genmkfile

commit 2d51bbded1c058826b7af10c0fca727b0c040f54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:33:29 2020 -0400

    add debian install file

commit 40427b7fba987ac522f045844b8fc28193777767
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:48 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit b00ff7dd60fc2672c0a2cf3d02e08637ebffd0cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:49:15 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 819ddf64064d7317a52b9ab0dacd95a32342312d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:39 2020 -0400

    change path to auto generated man pages

commit dfcd8d9ca46dbb29109ea7af574d9163396b7d96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:57:24 2020 -0400

    bumped changelog version

commit 97d98399680d63936f657e8ae9301462a64fc40d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:04:01 2020 -0400

    update copyright year

commit 27a0571924ecd3af915e0b5495f70a9ea5eb96d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:59 2020 -0400

    update copyright year

commit dfdbb015fa4b9ede6ee2b1071af8f08ff4831435
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 13:06:05 2019 +0000

    bumped changelog version

commit 75b272418349b128da66038be2b46a04a49e70b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 18 07:12:39 2019 -0400

    comment

commit e50a6a9fe5f7355d733ec3e4e2bb18522670e3b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:44:00 2019 +0000

    bumped changelog version

commit d1fb504338493fdcf5c16fb7fe79e800ba587d72
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:44:42 2019 -0400

    depend on adduser

commit 5bc87189d8d863f8ece675a043a5bcf6345ddb62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 30 04:26:50 2019 -0400

    disable legacy

commit ba006c95201b9c5a96f57e45b58606803673d0a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 12:47:55 2019 +0000

    bumped changelog version

commit 652c81d70ce2ae15280b0de518b85f16ac7fda5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:35:26 2019 +0000

    use properly override_dh_installman

commit 3c80f7c9cba94fb621baf66b1094134720d171ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:27:53 2019 +0000

    remove obsolete comments

commit 18d9eb467231d33c441c5b3e33f3f0b28b34ecfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 9 08:10:11 2019 +0000

    bumped changelog version

commit 715b14e8da3fe4ca95747380fd854665afb47feb
Merge: cd6d1e4 29403aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 8 22:01:26 2019 -0400

    Merge remote-tracking branch 'troubadoour/master'

commit 29403aa3acd629748b218d78989df8d13d6e0441
Author: troubadoour <trobador@riseup.net>
Date:   Wed Aug 7 20:28:54 2019 +0000

    add exit button to sdwdate-qubes

commit cd6d1e48bbd5a3829bd71c9a1bc72ae96cadea82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 07:22:10 2019 +0000

    bumped changelog version

commit daf102c9bf1365e9a9d69139d2f6f688b15bef3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 07:21:24 2019 +0000

    enable exit button

commit f4a93864b95203be1faf56f85d933a2a59855127
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 07:16:37 2019 +0000

    bumped changelog version

commit 960e315885bfc862da183ff4be9a6431a7309511
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 07:15:13 2019 +0000

    add default config file

commit 1f32ec18257e9adf14b9a5a4aab7d2ed361d9d1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 07:06:06 2019 +0000

    add config setting to disable autostart

commit 4e3848233c7a27be68001801b14ff1e248832dcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 06:52:56 2019 +0000

    fix, actually use gateway variable

commit ab7c989df17d75fdb8f4f305042ece223f43ef07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 06:30:36 2019 +0000

    bumped changelog version

commit d57c97978c77d74b92155bb19c360f723df42571
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 02:09:50 2019 -0400

    cleanup

commit e2eb9f84233e7580cc2ceb13990b90689bc39382
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 02:05:31 2019 -0400

    support multiple Whonix-Gateways through configuration
    
    parse config files
    
    /etc/sdwdate-gui.d/*.conf
    /usr/local/etc/sdwdate-gui.d/*.conf

commit bc4370caca3d041a15c749d5ba758bc6048e1d42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 01:18:48 2019 -0400

    refactoring

commit e2c700fdb04261e621eec2c46160b3a5652168a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:02:05 2019 +0000

    bumped changelog version

commit 379aea73917277a6b7807bb2f86d93686fd3022d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:42 2019 +0000

    readme

commit a29798fb4e5b936e2659166efeba69162a350784
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:44:16 2019 +0000

    bumped changelog version

commit ca2735ee4b777d2ecdb70c8c3ef2c6f7c9f239f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:11:42 2019 -0400

    /var/run -> /run

commit e487ffa5e210cabf3b921098f67a1f03fc973600
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 21:07:49 2019 +0000

    bumped changelog version

commit 657c63ae3bb85ac75c53d4bcefaa3096ea49a304
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 20:56:10 2019 +0000

    debugging

commit 32c87ff1ca9745ef5ac99bfd590f8c503f29fb0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 20:54:23 2019 +0000

    enable notify-shutdown

commit 53f89ac8143a8dceda8979fd59f7523c5131e732
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:56:11 2019 +0000

    bumped changelog version

commit c8b9a82b46adc7c36914e93685140d919f17894e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:54:40 2019 +0000

    debugging

commit ee4f5ff8d97c09df2f4989c2c04074e4da32f1f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:52:01 2019 +0000

    start by default in Qubes

commit f6f2214cbb6ab1425207773da2b4ba613375c58a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:51:24 2019 +0000

    debugging

commit dec8aa00c550d3c39c83898a2b46b33ebb6b90b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:49:51 2019 +0000

    enable also for DispVMs

commit 96c4432999a53de0c1ccb84f54f739d9366a1062
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:23:19 2019 +0000

    bumped changelog version

commit cb0c903495deb12f3ede40be61ebe218779837ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:40 2019 +0000

    man page

commit e30f1536e1abe3a31f454b4413f16fe2ce86cdfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:26:59 2019 +0000

    bumped changelog version

commit 41e63c40c05ec071d2a678874deaac634e85974a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:22:07 2019 +0000

    name, comment

commit f527651a0354bc50b370447d62bf15336d00497f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:31:40 2019 +0000

    bumped changelog version

commit 9f97942bc9a0a52039edd51817d0eadf3dba1e66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:35 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit f5a222bcd640e1cbea5787c01a638c6b1291163c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:48:29 2019 +0000

    bumped changelog version

commit 1f4ded08eb72dce62ff497bb5b19d46013e1e0e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:07 2019 -0400

    readme

commit 57993d84fa3fa239861e49320e3812b0a0106405
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:47:50 2019 +0000

    bumped changelog version

commit 7041415f4e0083e06a2a870a6777d10d0f0b35bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:44 2019 -0400

    update path to pre.bsh

commit 8c3312746a752de228054663e27d71a27c8897e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:15 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 8f84a6ee040819443ba80bb8c1ebb0bccf79fa50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:33:49 2019 +0000

    bumped changelog version

commit 171aa6da292939d0cbbebbfe69d1de3a032c43ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:56 2019 +0000

    update

commit c11bd0c911cd7d7f69fa63f2d10297efe947e59a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:05:00 2019 +0000

    bumped changelog version

commit a11b55372ea0d5a1fab2738e625d52c71f50e2a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:36:07 2019 +0000

    fix

commit 03d27079685b5df9e2474b6f0c5d2452d2b98c69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:30:44 2019 +0000

    use /usr/lib/sdwdate/restart_fresh consistently

commit 8295b787274cb765bf493bb2f575650434de4f2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:25:41 2019 +0000

    rm --force to avoid failing if file does not exist

commit 7c454fc5a2aff1e38882598fe8140df8ab561f8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:21:46 2019 +0000

    use log viewer instead

commit 0bd34260a328c67c8cfd452ca23932c6c8027304
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:19:05 2019 +0000

    safer permissions

commit e8136e573770033d36f2501a5a0ddef415177a09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:16:39 2019 +0000

    license

commit aa78ef38ae6f6051716b5796916226ae623d60e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:10:49 2019 +0000

    safer /var/run/sdwdate-gui/anon-status permissions

commit df73d27b59158f890789f9c7c8b556749f10a378
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 11:58:26 2019 +0000

    fix

commit 57db71c95450a8c8023d169bc2536fddbe237ed2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 11:54:20 2019 +0000

    fix

commit 2267a8be464a2adcfae6d8317f6dfd7579cdcec4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:37:09 2019 -0400

    launch into background
    
    consistent with above tor-control-panel

commit af9207a3fe80c77418021b60443784149e7745f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:36:30 2019 -0400

    root not required for log viewer since Debian buster

commit c870392cb4583967fe8a95f9e852bb9406f511cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:35:35 2019 -0400

    xhost +

commit 31135c0d1a93d557bc173e839124bd692934b596
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:29:22 2019 -0400

    output

commit e371bbf228ef7301262a3b56a3bf7140ef87050e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:13:10 2019 +0000

    bumped changelog version

commit f87c28764cf06e30298cdd2eb1e71f4bb18357e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:26:56 2019 +0000

    sudo

commit 1358b91e0a5954888bccd887975f4860129bb34a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:41:29 2019 +0000

    sudo

commit 6099fc0b66e236253790628925b57cca9d70af2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:35:44 2019 +0000

    sudo

commit f86dd4de8cec6feac5beb18e7816f9cc97879302
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:34:39 2019 +0000

    sudo

commit 03509c0d8e2857932843dd9b0060f18113d3af5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 09:53:23 2019 +0000

    sudo

commit f137319ad73f5dbeced0fc62a3f950dabefef4f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 17:02:21 2019 -0400

    gksudo

commit b8e57d6de7a9b5c24854f5b546559351ec347863
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 14:06:55 2019 -0400

    port to debian buster

commit 3d2f522533642e927b63a1021dd82c6cf76a9fb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 11:13:44 2019 -0400

    remove -R to fix lintian warning maintainer-script-should-not-use-recursive-chown-or-chmod

commit 7c035122047e41d8f48e6548c9428819f742d6f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:51 2019 -0400

    port to debian buster

commit bd0ac9a4a2c7cc35c4ab9e5d46f945ab50e04cf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:06 2019 -0400

    port to debian buster

commit 244b2db40c403fca51c47691d620735dcd6b34d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:56 2019 -0400

    readme

commit a6d50e9389dec46b347915e846adc5343411fe63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:02:16 2019 +0000

    bumped changelog version

commit 97c965fea2ce10f329f79ad35a3c22c56108463e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:18 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 7c3a5ac64b7d14694b30b285a7443a5942a3658e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:35:46 2019 +0000

    bumped changelog version

commit 0d80c2bc56a2278e32b4d03fc06b71765a46a1c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 7 13:08:28 2019 -0500

    typo

commit 3ed2de99e8ab9367a7132f5856289c04baac2a74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:41 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 2e0ee2794a54b3a23f7d1c73614970d7980a7883
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 1 07:41:33 2018 +0000

    bumped changelog version

commit f9a269b352eeb2965a352c91e0a033576c01f0e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 26 06:16:20 2018 -0400

    use /usr/lib/anon-shared-helper-scripts/terminal-wrapper rather than hardcoding Konsole
    
    http://forums.whonix.org/t/calling-1-package-from-whonix-repo-will-pull-all-the-packages/6182/7

commit 5854da27c78c07a0edb7500268efb82cdcbc9070
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 1 12:38:25 2018 +0000

    bumped changelog version

commit f59a7895780d04d237731abd08fa18581fd69604
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 1 11:35:59 2018 +0000

    copyright

commit 4ff701a9fa29fc1d9e050c188c4ae8e7d04faa5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 17:16:16 2018 +0000

    bumped changelog version

commit b0741aa52d77872ea83cb56b5d960c7ad9a88499
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 17:15:46 2018 +0000

    do not run sdwdate-gui-qubes by default in Qubes
    
    until https://github.com/QubesOS/updates-status/issues/666 reaches Qubes stable

commit 949278fb806cbb3978dfc9405cce3e1b58ab5594
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 15:39:26 2018 +0000

    bumped changelog version

commit 0821aaac05b13c91ec190d6624e700d7c28835eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 11:30:50 2018 -0400

    do not run sdwdate-gui-qubes by default in Qubes
    
    until https://github.com/QubesOS/updates-status/issues/666 reaches Qubes stable

commit 70dc7b724fe43453091a38dfcb47aab7fad47aa6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 10:23:23 2018 +0000

    bumped changelog version

commit c6e5f57838943264447fd4fb77f3dcb6b873c454
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 10:05:05 2018 +0000

    do not run sdwdate-gui-qubes by default in Qubes
    
    until https://github.com/QubesOS/updates-status/issues/666 reaches Qubes stable

commit 1b09852ed5c9e394a3912737eb3963880d1141a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 11:22:57 2018 +0000

    bumped changelog version

commit 267b6963f5953d1666b79ef2d839b8d86abc2ebd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 11:05:56 2018 +0000

    disable debugging

commit f200a348b5edb1d7e4dbd74dd84cd1bef61394f7
Merge: 4daa4c8 f7d24c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 11:04:40 2018 +0000

    Merge branch 'sdwdate-gui-qubes'

commit f7d24c487656ff456958aa49354f11205da0c211
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 10:18:13 2018 +0000

    bumped changelog version

commit fb25eb16537e3ece2998cdf34603b85a5f1a6d51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:53:47 2018 +0000

    output

commit a1338b0bfca60ce28c8e9a0fbfb17e181c9ecec0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:45:09 2018 +0000

    move to /usr/lib/sdwdate-gui/sdwdate-watcher so we don't need a man page
    
    to fix lintian warning

commit f4ba6c2160d5f10a2b80821695b7cc5e690f69cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:44:10 2018 +0000

    man

commit 31264dbb9975c4e0c7053e8b2b7d7a9a729088a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:42:20 2018 +0000

    Description

commit f79e3c7c44391ed9a520522202304989efe1e4a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:41:30 2018 +0000

    renamed lib/systemd/system/shutdown-notify.service -> lib/systemd/system/sdwdate-gui-shutdown-notify.service

commit 6e777e802d13c12fc2f5fac8073b2cfc41645d9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:40:13 2018 +0000

    fix lintian warning

commit ea216332e6f0b59f3afc6167d4de68e3537779a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 09:39:03 2018 +0000

    man page

commit 627698cd1b35b034023ad81b8c3d9e2d6d297bc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 05:17:13 2018 -0400

    typo

commit d8524d69a07654b9be9e6f360f125bbf1c239b4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 05:16:39 2018 -0400

    kdesudo

commit 63b9a0b1c7f979362ec114aebed5d62d2138f63f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 05:04:51 2018 -0400

    fix merge conflicts

commit ea94bfc9990ef0d69796b1ad3f513b800085f309
Merge: 985d5df a62d625
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 04:44:10 2018 -0400

    Merge remote-tracking branch 'troubadoour/master' into sdwdate-gui-qubes

commit 985d5dff7a583af7af0a775e759272b467068c58
Merge: 6d4a8ed 4daa4c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 04:39:01 2018 -0400

    Merge branch 'master' into sdwdate-gui-qubes

commit a62d625d2dcb000a0ffa034cca24f3c6fbe00fb7
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 15 19:36:51 2018 +0000

    code cleaning

commit b8ba45d1be366bbadeece9b123b689505bd17986
Author: troubadoour <trobador@riseup.net>
Date:   Sun Sep 2 16:37:33 2018 +0200

    comment exit menu action

commit 0b7d851476ac5c9d352de537f0ddfea8f1095b34
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 1 22:29:20 2018 +0200

    sdwdate-gui (non-qubes) update

commit 4daa4c85b721ad46f0937b6226c0bafc4da0e547
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:49:08 2018 +0000

    bumped changelog version

commit 6d4a8edd90fe75504f2d3078763d133479ac8786
Merge: 0741690 126a4b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 23 06:22:14 2018 -0400

    Merge remote-tracking branch 'troubadoour/master' into sdwdate-gui-qubes

commit 126a4b443228e51780bf03514302a7c51dd9492f
Author: troubadoour <trobador@riseup.net>
Date:   Tue Aug 21 19:13:10 2018 +0000

    move notify-shutdown to /usr/lib/sdwdate-gui
    remove /usr/lib/qubes

commit f592e42a54c405fd7d1c0fc13bf9c321c246fb32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:37 2018 +0800

    readme

commit 13bb0accac051a9bd03824fa3ce05e4891601d66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 17 19:12:16 2018 +0000

    bumped changelog version

commit 4a4f91f273d4db29d76c1f8221238bf9d71a6115
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 14 19:55:17 2018 +0000

    debugging

commit fbb95a58a1fc4082948f8f002d971d7080796465
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 14 16:31:41 2018 +0000

    TODO

commit a26782640f2006d5a47e7ba61de06eaf80b27754
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 14 16:25:57 2018 +0000

    renamed:    usr/share/applications/timesync-monitor.desktop -> usr/share/applications/sdwdate-gui.desktop

commit 930f1e7c71d7a4cda1c5c0e0ef2d5c385c8bd10c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 21:10:42 2018 +0000

    bumped changelog version

commit 76aca853280326e1e432ab758b269c5365d23fb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 21:09:40 2018 +0000

    fix sdwdate restart

commit 2f15a9aaf8b2fab63e442b9f1ccb142d4137ff42
Author: troubadoour <trobador@riseup.net>
Date:   Fri Jul 20 08:43:13 2018 +0000

    Empty commit to trigger post_receive hooks after github message

commit 074169059ab04e3fd52d1559f5059d7d3af6350a
Merge: 4b8002e 2a11945
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 17 13:46:22 2018 +0800

    Merge remote-tracking branch 'troubadoour/master' into sdwdate-gui-qubes

commit 2a1194510088018563b6709749024cae75737c96
Author: troubadoour <trobador@riseup.net>
Date:   Mon Jul 16 19:32:39 2018 +0000

    debian/control recommends + tor-control-panel

commit a7408345f1a6f89f29363694533036f06a260c5e
Author: troubadoour <trobador@riseup.net>
Date:   Mon Jul 16 17:49:42 2018 +0000

    Check if tor-control-panel is installed.
    If not, do not start tor watcher, set tor status "running", disable tor actions.

commit 27814a9def88b5a0e2b0c0526981548ddfb1e807
Merge: 61a142c 4b8002e
Author: troubadour <trobador@riseup.net>
Date:   Thu Jul 12 19:01:20 2018 +0000

    Merge pull request #1 from adrelanos/sdwdate-gui-qubes
    
    fixes systemd and tmpfiles

commit 4b8002e9c669138bfecece9418d6be34a451fab2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 12 07:16:03 2018 +0000

    systemd

commit 75b5d3235a88ecf8fee645875b30a493d6ed50d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 12 07:00:25 2018 +0000

    fix

commit d260d0feec5da21d1a01ee1b52f7fce2619fa25d
Merge: 9ca966c 61a142c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 12 14:51:48 2018 +0800

    Merge remote-tracking branch 'troubadoour/master' into sdwdate-gui-qubes

commit 61a142c053279853e62e7bed72585ac25ca047a3
Merge: 89d378f 9ca966c
Author: troubadoour <trobador@riseup.net>
Date:   Wed Jul 11 11:45:11 2018 +0000

    Merge remote-tracking branch 'whonix/master'

commit 89d378fc8237af794b53d82efc587db02c7908eb
Author: troubadoour <trobador@riseup.net>
Date:   Tue Jul 10 20:28:08 2018 +0000

    handle  killed or crashed anon vms

commit ac9b40ef59f8edbe6c6da782958d32165a31e8b9
Author: troubadoour <trobador@riseup.net>
Date:   Fri Jul 6 20:00:31 2018 +0000

    + os.path.exists tor controller

commit 30265a36cf3bada2f01ec448b587cf505f81bcf3
Author: troubadoour <trobador@riseup.net>
Date:   Fri Jul 6 14:31:48 2018 +0000

    sort out icons

commit 30da11a8c427fa4523085bb7a7e4e8ad37d4e80a
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jul 5 13:30:21 2018 +0000

    code simplification in submenu

commit a9f2eafa4c1f844a94ce924adff4f3bddd0ffcea
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jul 5 12:55:54 2018 +0000

    update icons in sys-whonix submenu

commit 03443f473d7de5b5b9fb4dcf38a8655b27b9090c
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jul 5 11:25:38 2018 +0000

    context menu revamping step 2

commit 1587160e4efe72a5c5cf7ce70ffa749c4595b049
Author: troubadoour <trobador@riseup.net>
Date:   Wed Jul 4 21:12:13 2018 +0000

    context menu revamping step 1

commit 9ca966c6021df629a12b908a1cb613407e28e253
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 21 03:17:29 2018 +0000

    bumped changelog version

commit 57d143129efd7c831eb80337545059177e1142e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 21 03:16:33 2018 +0000

    fix

commit 91dbbdef558ebdc4b005db87756456f8d7c68680
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 20 00:01:52 2018 +0000

    bumped changelog version

commit f2fe3ed4ded405e1a65dcfc218a9d0c3ebe43310
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 20 00:00:45 2018 +0000

    use pgrep rather than killall to fix lintian warning

commit 1dfc7851e8626a70687ce02b4b68363fe746776f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 23:57:35 2018 +0000

    bumped changelog version

commit 2ab86349ee50e1ccf02c108a07b91e5018430a09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 23:56:20 2018 +0000

    fix log viewer for Qubes R4

commit 6f1a9182c737ff6521f18d0749baf3d08fd4afec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 23:19:51 2018 +0000

    fix sudoers for logviewer

commit 0bef5367aa72b4674ceb52f2ad448e7fe40da9d0
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jun 16 19:50:23 2018 +0000

    comment out 'watch anon vms'

commit d7e12123a2d3027c49a6c51b41ce70a26a8cad12
Author: troubadoour <trobador@riseup.net>
Date:   Wed May 23 09:13:54 2018 +0000

    move external functions inside class. detach tor-control-panel

commit 4799b50e1fc4d89624379879e7533ff209a60b0d
Author: troubadoour <trobador@riseup.net>
Date:   Tue May 22 19:47:17 2018 +0000

    watch anon vms, provisional #2

commit 42b3b2fbf0b3ee275c622f734b9be7a3c91663fd
Author: troubadoour <trobador@riseup.net>
Date:   Sat May 19 21:11:41 2018 +0000

    watch anon vms, provisional

commit 6d7c68e3c6d02b141d88e59580f8302d0e51a9b1
Author: troubadoour <trobador@riseup.net>
Date:   Sat May 5 18:17:15 2018 +0000

    do not register disposable wms in sys-whonix sdwdate-gui

commit 83e0663be9313eeabb050637f751ee224cb929d4
Author: troubadoour <trobador@riseup.net>
Date:   Sun Apr 29 20:41:10 2018 +0000

    cleanup

commit 8d12c006989a5f26a7b04fec96f85f3766c68236
Author: troubadoour <trobador@riseup.net>
Date:   Wed Apr 18 20:02:29 2018 +0000

    add close button in show_message

commit 1d9c872a280b43fc6afdbff0e8896e214a7a3cd0
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 18 23:11:16 2018 +0000

    chase segmentation fault

commit c4f0d9eb43fd9fdb59ec2045d7add2e1c2b9b072
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 18 21:27:03 2018 +0000

    import tor_status from tor_control_panel

commit c6fd0ec833220c0a0ee33c40373d820eea606770
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 4 19:40:50 2018 +0000

    add tor-control-panel command

commit 9db0fe64134766c94c62211cb9fdcfc4d4e39701
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 18 19:02:43 2018 +0000

    add tor status "disabled and running"

commit 3099d1b78d6bebceea4e9a46005bb5d224f3b219
Author: troubadoour <trobador@riseup.net>
Date:   Fri Feb 16 22:00:59 2018 +0000

    icons in show_message
    resized and renamed sdwdate icons

commit 4ae6b88f616b5cdda3d4c638c37c109023dc22c8
Author: troubadoour <trobador@riseup.net>
Date:   Tue Feb 13 22:27:56 2018 +0000

    add tor status and known commands

commit 59cd768416c6da0d4cd451783538f292efba139a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 18:02:22 2018 +0000

    bumped changelog version

commit 225f64712018df3ccf81b6880a42fd0d45e31082
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 16:06:46 2018 +0000

    kdesudo

commit a82967767ad29d39388f95ccd4a27fefb99532ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 14:18:20 2018 +0000

    bumped changelog version

commit 964fcb62d1961b52f4b126cc427d429cf2475ef4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 13:56:12 2018 +0000

    permission lockdown and fixes after running under user sdwdate-gui

commit e743d1617348e94e3d2e0dca1ed5db06e67416f9
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 4 21:05:17 2018 +0000

    check that executables exist for tor commands

commit b33e360ec57906c8b6acf9b8a30986874909cd63
Author: troubadoour <trobador@riseup.net>
Date:   Sun Feb 4 19:43:26 2018 +0000

    + tor control in sys-whonix submenu

commit a8713a5191f741ad73c23f76f553fd36e5a0d2ea
Author: troubadoour <trobador@riseup.net>
Date:   Sat Feb 3 21:58:23 2018 +0000

    empty self.name in exception

commit a616360e2ff40f2809aa3e19dbcec1c3e9c7e288
Author: troubadoour <trobador@riseup.net>
Date:   Sat Feb 3 20:56:49 2018 +0000

    defensive code against qubes-db and qubes-qrexec-agent

commit 0e1579850b04c72402305cfa57b61ead0795553c
Author: troubadoour <trobador@riseup.net>
Date:   Sat Feb 3 19:44:54 2018 +0000

    Revert "defensive code against qubes-db and qubes-qrexec-agent"
    
    This reverts commit b67d3995982cf0f18df37bd5e1c26d32d2a4c72b.

commit b67d3995982cf0f18df37bd5e1c26d32d2a4c72b
Author: troubadoour <trobador@riseup.net>
Date:   Sat Feb 3 18:51:31 2018 +0000

    defensive code against qubes-db and qubes-qrexec-agent

commit 1989b97a888b19a1020df97b8601755c650a0277
Author: troubadoour <trobador@riseup.net>
Date:   Fri Feb 2 16:34:01 2018 +0000

    typo

commit 6a186e02928e73c18a58033d52d3c88e239371d1
Author: troubadoour <trobador@riseup.net>
Date:   Thu Feb 1 22:24:14 2018 +0000

    chmod exec rpc scripts and notify-shutdown

commit 0e4786a97e07d8995b96358e8f4a51d4aa28d4d1
Author: troubadoour <trobador@riseup.net>
Date:   Thu Feb 1 19:20:12 2018 +0000

    new version including Qubes

commit c78f298865bcf375dd51aa9641b6e031ce641ab4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:17:55 2018 +0000

    bumped changelog version

commit beab8130acdd298112b20464142cf5129565a633
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 30 13:19:51 2018 +0000

    fix

commit 7af46f7eb8f5f2c24174f3d6642792fe77746598
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 30 13:19:04 2018 +0000

    quotes ; fuzzer

commit 263126d05114aa1607527f76b27169fbd9b208f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 30 12:46:33 2018 +0000

    update fuzzzer

commit 730210f6feb6feb7981798117f86349206b6bb97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 30 12:31:51 2018 +0000

    run as user 'sdwdate-gui'

commit e65409708ecd72ed6a20275e2e8d3b8d564b7eed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 30 12:28:38 2018 +0000

    run as user 'sdwdate'

commit aca5948e88d8478bf9c35fbbab185beb2d8280dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:35 2018 +0000

    readme

commit 4ab400befc498a5f6c71e22ac3cfe6020d45fccf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:57 2018 +0000

    update copyright

commit afd9ccde42ff194bb3c89e0325d57fc52c9aaf52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:05 2018 +0000

    update copyright

commit b906b01c447f0175f5898b807be11b5f09ad2135
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:17 2018 +0000

    update copyright

commit 2a4ddf21b91c7abae54bae5a2e37925697cf44a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:42 2018 +0000

    update copyright

commit b78a8b4c6c51428dc0bec0d6da6a4a7089f4ffd6
Merge: 228ca62 f565b94
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 28 22:28:02 2018 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit f565b94f82215f9d28f93429dc7834597602d5bb
Author: troubadoour <trobador@riseup.net>
Date:   Sun Jan 28 20:52:52 2018 +0000

    Replace pickle with json. Move icons in sdwdate-gui.

commit 228ca62639d41522cef2f5450bd6c3949834cda7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 26 23:31:22 2018 +0000

    get rid of pickle

commit ba2f8afa10b65ed0ee0e765dfb308f36d0d9b3fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:30:06 2017 +0000

    bumped changelog version

commit d9afb1a0766d37d1807693d3ba1dadd5bdf5bc62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 13:46:24 2017 +0000

    remove legacy /var/run/qubes/this-is-templatevm

commit bfc2be940bee42b816ea7f0d4ce0842a64936f0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:37:12 2017 +0000

    bumped changelog version

commit 54080700d1a806504718d7f13ee8d623a0eee72a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 26 14:04:22 2017 +0200

    license

commit 3ff369e03bb8b664119cecb7248932db243a7aea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 13 17:30:52 2017 +0000

    update maintainer

commit 14bfb4eb27339211597d0b3eb72cdd254ba4c785
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 02:03:33 2017 +0000

    bumped changelog version

commit fb643f68dea61b47bfa98e81797c2f22ae938b4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 26 17:42:02 2017 +0000

    comment

commit 661e68361ad181ce10e8826b2076eb1956d29011
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 19:08:42 2017 +0000

    port to QProcess rather than using pgrep workaround

commit 2a335b52d5a2058dfa297ac94a344744c2d6306e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 19:03:54 2017 +0000

    fix race conditions
    
    remote race condition workarounds
    
    refactoring, code simplification

commit e7d862da460258334bddcf13045c965be7f61d08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 06:00:02 2017 +0000

    fix

commit 79f786187ee0d8753ecf2b46d94231423c8f84ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 05:44:23 2017 +0000

    minor

commit 7d83b9bd4f12e04c77aaa45a97a8e7d760a6b7e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 05:43:48 2017 +0000

    typo

commit 0d7ccfa253e997b0d4fd739ee63b08033b8d11e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 05:38:48 2017 +0000

    refactoring

commit 04f7ab696f92bcfff28fe09c84c281dd3b7d52e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 25 05:37:13 2017 +0000

    Remove two options Gradually / Instantly adjust the time
    
    since it's not clear for users which one they should use
    
    only leave a simple "restart sdwdate",
    
    which will instantly adjust the time

commit 6a34b3cce1affe9161a82860c0ce453a9ffc25c8
Merge: 36ce0eb aeb2f03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 22 08:29:25 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit 36ce0eb04c694218bb96fee31e54981149fc9109
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 22 07:37:41 2017 +0000

    do not hide konsole menubar / tabbar for sdwdate log right click action

commit aeb2f03a1e26a027e778213bc10aafcc14aa391c
Author: Joy SN <joysn1980@yahoo.com>
Date:   Wed Feb 22 07:31:55 2017 +0000

    Set the "entry" name for sdwdate in KDE System tray
    https://phabricator.whonix.org/T638

commit c7b15a9926ef08682a5cdedf3ff61fce2f8cba94
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:04:58 2017 +0000

    use systemctl --no-pager to prevent blocking due to systemctl interactivity
    
    https://phabricator.whonix.org/T637

commit c96cd00aa420ded6e9afd40f381327a77a088b8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:08:26 2017 +0000

    bumped changelog version

commit 6620eb4870536187fede4bf0f8408b4be24980e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:07:59 2017 +0000

    add signed commit

commit 2df79d25add43515899ff876b99adf8f1fe591c5
Merge: 40685fe 7e047fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 15:09:01 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit 7e047fe294138cc01abde44e287081eccdb240e2
Author: Joy SN <joysn1980@yahoo.com>
Date:   Wed Feb 15 10:30:07 2017 +0000

    Fix right click menu freese issue
    https://phabricator.whonix.org/T626

commit 40685fea0bc14f8fd412474737018b6300cfdb46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 515d1006c72e55c04816fe1bfd7e6a1e8d44c3f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:25 2017 +0000

    remove debian/gain-root-command workaround

commit 40d64a05475eb4c026227b9aeb6711feccd3683c
Merge: 28f6e58 f669c73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 21:58:55 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit f669c73648ed848bef2f99d063281b5fe5dae321
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Feb 8 16:18:30 2017 +0000

    Fix segmentation fault while exit
    Fix tooltip package
    https://phabricator.whonix.org/T598

commit 28f6e585ebbf0fbdca7a78ef444d4c17738d3070
Merge: 2d2cf0a 2c5716b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 15:11:28 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit 2d2cf0a0c47ff5ec5ec0c2583f2057de1d3b1406
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 14:14:10 2017 +0000

    usr/bin/sdwdate-gui: change shebang to python3;
    usr/lib/sdwdate-gui/show_message: change shebang to python3;
    
    move files to fix lintian warnings:
    usr/lib/python3.4/dist-packages/sdwdate_gui/__init__.py -> usr/lib/python3/dist-packages/sdwdate_gui/__init__.py
    usr/lib/python3.4/dist-packages/sdwdate_gui/sdwdate_gui.py -> usr/lib/python3/dist-packages/sdwdate_gui/sdwdate_gui.py

commit 49a7698f358f33ff468b57b51b29d3a78437f817
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 13:49:46 2017 +0000

    port dependencies to python3

commit d835faf635e15c6cc38dbcc981bdffa4cd67e70f
Merge: 2bfaf0f e56837e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 13:48:30 2017 +0000

    Merge branch 'python3-merge-from-joy'

commit e56837ed30aeb89c55bacb8546e3cd1280b0d923
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 13:46:07 2017 +0000

    delete python 2.7 version

commit 53a39cdf22c859e7947d2a85448538344771717b
Merge: 2bfaf0f d6ef0d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 8 13:45:27 2017 +0000

    Merge remote-tracking branch 'joysn/master' into python3-merge-from-joy

commit 2c5716bccd3fb75714f611d2af2a1400cac925f6
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Feb 8 06:52:25 2017 +0000

    port show_message to python3 and pyqt5
    https://phabricator.whonix.org/T598

commit d6ef0d39d1ee13da44458eec9dc827eb04acec7e
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Feb 8 06:17:04 2017 +0000

    Adding python3,pyqt5 version of sdwdate_gui.py version
    https://phabricator.whonix.org/T598
    https://phabricator.whonix.org/T624

commit 2bfaf0f1d23b5e102dae0be9901ef6d94e55daf9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:32:47 2017 +0000

    bumped changelog version

commit 8c1ea117d409d74d2a4bf464f5b25d55ccfc696d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 11:35:19 2017 +0000

    add signed commit

commit f66d72b03a5a63e11b39c4b486959a229befc054
Merge: 09406ff 8624de7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 11:34:35 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit 8624de774311f4df50712a0c83c70577204d7109
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 18 08:14:46 2017 +0000

    From sdwdate-gui
    /usr/bin/sdwdate-gui - changes made
    tested using - ./sdwdate-gui
    /usr/lib/sdwdate-gui/show_message - no change required
    tested using ./show_message "hi" "1" "3"

commit 09406ffd4fef87110501a07ee54e7231dae5e387
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 11:16:52 2017 +0100

    bumped changelog version

commit ece44c87ad413fd016ef95bdcabc2f3652480d3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 11:16:45 2017 +0100

    add signed commit

commit 76d53b86208e663724407a998103e8d61303b398
Merge: a047b1c c015ae0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 08:44:35 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit c015ae08183d761880b2db2cde53ceb1073f92ad
Author: joysn <joysn1980@yahoo.com>
Date:   Tue Jan 17 07:25:22 2017 +0000

    Use -u option with python interpreter
    https://phabricator.whonix.org/T608

commit a047b1c5a9b8f84617860900cbb8f7e1124433af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 06:30:17 2017 +0100

    bumped changelog version

commit 5b860c1b44fa5e38e56cfbf6f616d3844796ef7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 15:56:14 2017 +0100

    add missing build dependency ruby-ronn

commit e57f2256bd4dbdaf99a52510cdefa19cf32ea7b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:35:22 2017 +0000

    bumped changelog version

commit 28678dfbcb30f36ed68815a87279d19c5d8725f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:40 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 2d0e47bb9753d0244ed6c22f05bb84fd41dcf670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:30:24 2016 +0000

    bumped changelog version

commit 4dd68b0f46f83ab8105c77697229f564abce69b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:42:44 2016 +0000

    readme

commit 3a24b8e14c4efb0b7e47976bb85af2e726043de3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 30 21:13:53 2016 +0000

    sudo --non-interactive
    
    https://phabricator.whonix.org/T549

commit 3c59489d839da7837f06c911de2f30230ddd3853
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 20:33:37 2016 +0000

    Do not automatically start sdwdate-gui in Qubes due to various issues.
    
    - https://github.com/QubesOS/qubes-issues/issues/2264
    - https://github.com/QubesOS/qubes-issues/issues/2268
    - https://phabricator.whonix.org/T534

commit 9aeeb919caf2a8a9a53385e751f1ab81219db39d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 25 18:58:03 2016 +0000

    add startup wrapper to avoid starting sdwdate-gui in Qubes TemplateVM
    
    https://phabricator.whonix.org/T533

commit 815b6f2557d35635bc66e0f4f6a3653f652008e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 23:27:57 2016 +0000

    bumped changelog version

commit 31d81e012a548c06195e23a9f916fdbea151348d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 22 00:46:23 2016 +0000

    better and less scary message when sdwdate is not yet running after boot

commit c0a88e2abf5a9e2fe91a9a41b67bdc88a7cfa3df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 22 00:40:59 2016 +0000

    fix not starting in Qubes

commit 0046d2170000449c666fe5f80ec9440505867922
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 22 00:02:16 2016 +0000

    fixed stale status bug and better error handling
    
    solved duplicate event processing

commit ddd3d806af0b957800c34449dfecad1933e79424
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 04:36:48 2016 +0000

    do not autostart sdwdate-gui in Qubes since it is not ready for Qubes
    
    it would result in one systray per VM
    
    i.e. two with a gateway and workstation setup and one more for each additional
    workstation

commit e76ca3f60bc5315fc739a5b221910d0ec4bc283b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:44 2016 +0000

    bumped changelog version

commit 2a0f725ccb6e4135fd9bf280653d5f28f0a126a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 21:04:47 2015 +0000

    updated README.md

commit b96193caa530b77b052d5e504dbf44a4f057fcfc
Merge: d55b9b3 d1af525
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 20:06:38 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit d1af5251b09c9e49cf292baad3418d25f19fb087
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 22 19:21:21 2015 +0000

    sdwdate-gui: Remove double quotes from message
    as they would be interpreted as an argument separator in
    "/usr/lib/sdwdate-gui/show_message" (called by run_popup).

commit d55b9b3213c771dff3aff71830e1dec3fee02161
Merge: 1d04675 0cc3b36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 16:17:26 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 0cc3b3679e18b5ccc401c4e9689764638db48d34
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 22 12:45:26 2015 +0000

    etc/xdg/autostart/sdwdate-gui.desktop -> remove OnlyShownIn=QUBES;

commit ff485dba5641738ec6729956783dffed212f9cc3
Author: troubadoour <trobador@riseup.net>
Date:   Sun Nov 22 10:27:59 2015 +0000

    run sdwdate-gui as user
    etc/xdg/autostart/sdwdate-gui.desktop -> Exec=/usr/bin/sdwdate-gui
    etc/sudoers.d/sdwdate-gui -> ALL ALL=NOPASSWD: /bin/rm /var/run/sdwdate/success

commit 1d046753bdd7c0de9b9a371a872aade35a4a2e19
Merge: 87bc38a 7c5c434
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 00:26:53 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 7c5c4343b9ccaa86f372de9518f1c49d840304cd
Author: troubadoour <trobador@riseup.net>
Date:   Sat Nov 21 22:45:52 2015 +0000

    missing etc/xdg/autostart/sdwdate-gui.desktop

commit edab5acbdfb75624d8b506b9c43d6574acdac4fb
Author: troubadoour <trobador@riseup.net>
Date:   Sat Nov 21 22:36:45 2015 +0000

    Back to single sdwdate-gui.destop file -> Exec=kdesudo -u sdwdate /usr/bin/sdwdate-gui

commit 506db0241d9b8a4f523554d226d14c120ef4352a
Author: troubadoour <trobador@riseup.net>
Date:   Sat Nov 21 19:30:40 2015 +0000

    /etc/xdg/autostart/sdwdate-gui-other.desktop -> run sdwdate-gui as user sdwdate

commit 41be5788cb84994386725245e601638109c6b068
Author: troubadoour <trobador@riseup.net>
Date:   Fri Nov 20 20:47:09 2015 +0000

    Two different .desktop files in /etc/xdg/autostart.
    
    One for Qubes: run directly kdesudo (passwordless) + OnlyShowIn=QUBES;
    One for other (KVM & VirtualBox): run xhost +local:root && sudo + NotShowIn=QUBES;
    
    Running kdesudo only in VirtualBox prompts the user to enter a password.
    "xhost +local:root" prevents sdwdate-gui to show in Qubes.

commit 87bc38a873323fcfeae846ccde7f94da88f3734a
Merge: cb27b57 dd4236c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 20 17:17:16 2015 +0100

    Merge remote-tracking branch 'troubadour/master'

commit dd4236cac9952f21a4928d69c8723803578a7766
Author: troubadoour <trobador@riseup.net>
Date:   Thu Nov 19 22:26:46 2015 +0000

    remove etc/X11/Xsession.d/95swdate-gui. update etc/xdg/autostart/sdwdate-gui.desktop with
    "Exec=kdesudo /usr/bin/sdwdate-gui"

commit e9f1049334ba240a60c3ced0fa415df806cdb98e
Author: troubadoour <trobador@riseup.net>
Date:   Wed Nov 18 07:43:39 2015 +0000

    Whonix=Qubes doen not seem to honor /etc/xdgautostart -> add etc/X11/Xsession.d/95swdate-gui ti start sdwdate-gui.

commit cb27b57177bb2e399a3a61fe735a7a2871e33b56
Merge: 173d632 e3377da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 24 10:38:16 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit e3377daaf07c812b540ab29380210dabfbacecd2
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 22 19:17:24 2015 +0000

    increase timer period to reduce cpu usage

commit 173d632ab43979260c265f186b865923cde027c3
Merge: a06f044 54d820e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 17 00:11:05 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 54d820ebfb346d583f0da35823760bd2aaff6a70
Author: troubadoour <trobador@riseup.net>
Date:   Wed Sep 16 18:53:00 2015 +0000

    Depends sdwdate

commit 3f0e9b34a2718b35e00e5e0581ce1a02b9c40a9e
Author: troubadoour <trobador@riseup.net>
Date:   Tue Sep 15 14:45:45 2015 +0000

    changelog.upstream -> clear zero-byte-file-in-doc-directory lintian warning

commit 4a31ff9b90baeaab1501845fc7962d3d19e86b31
Author: troubadoour <trobador@riseup.net>
Date:   Tue Sep 15 14:41:25 2015 +0000

    strip HTML in tooltip

commit a7564910bd24611cbc5ca8b32ccfdd90e7f53ce3
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 12 08:33:18 2015 +0000

    stripped_message -> message

commit a06f044612ea0ecba886fc233e04523f817aadfd
Merge: fa55027 7fb0560
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 10 23:57:36 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 7fb05600b9b23cc33e67ecda1f1fd1d3fa43d7cc
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 10 08:01:32 2015 +0000

    remove stripped_message, tooltip accepts HTML

commit b911286b8de86b1390206d22295f3574497076c2
Author: troubadoour <trobador@riseup.net>
Date:   Wed Sep 9 18:50:15 2015 +0000

    left click action shows a full GUI (title bar with standards buttons)

commit 1b171cca6a1171e5c57574cf5408194598ab07f5
Author: troubadoour <trobador@riseup.net>
Date:   Wed Sep 9 18:47:46 2015 +0000

    move sdwdate icons in usr/share/icons/sdwdate-gui #2

commit fa550275dc1da324d578b1f177bff53e47176053
Merge: 752326f 6ab648a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 7 22:20:28 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 6ab648a9a203dfbb34ef89f8a56d626b454a978b
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 5 21:50:54 2015 +0000

    move sdwdate icons in usr/share/icons/sdwdate-gui

commit bdfa7f027acf1d3a72fb79f8fc0acc3831a5fee6
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 5 21:24:38 2015 +0000

    move icons in usr/share/icons/sdwdate-gui

commit bd62930a23e5e480428a1a64952a98ed631ef2ce
Author: troubadoour <trobador@riseup.net>
Date:   Fri Sep 4 22:17:59 2015 +0000

    popup updated, remove title bar, show/hide on tray icon letf click, richtext (HTML)

commit d7c33f9f10082a65332e5cd4432aa9c74a2cee90
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 3 21:11:11 2015 +0000

    mouse action in the title bar closes the message

commit e56c1d2d64f31490b01d15b07415d627b814d3e7
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 3 20:56:34 2015 +0000

    change background from lightyellow to default gray

commit 82e67d3622c6d03b99fb84ef230cf6b00d6d87d8
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 3 20:52:04 2015 +0000

    toggle message visible on left click action in sdwdate-gui systray icon

commit 1ceff40736dced142517095b3e3ad305dbcb34f5
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 3 20:18:30 2015 +0000

    new icon in gui

commit d3ab4ff47600c57e27f3612207b7069514a60d9d
Author: troubadoour <trobador@riseup.net>
Date:   Thu Sep 3 20:05:59 2015 +0000

    popup gui: updated only if already shown

commit d682e627d6aac2855da321cabcbf1879f4c17452
Author: troubadoour <trobador@riseup.net>
Date:   Wed Sep 2 19:45:30 2015 +0000

    replace default show_message by a popup gui, samish appearance, closed by user, text copyable.

commit 752326f83807b628429c167a0a49e7677a73f33b
Merge: 23f9c65 8118e5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 29 10:18:36 2015 +0000

    Merge remote-tracking branch 'troubadour/master'

commit 8118e5f8674efbf8c70037d4f84cd41df0fa5a8e
Author: troubadoour <trobador@riseup.net>
Date:   Mon Aug 24 19:16:24 2015 +0000

    show_log -> tail -f -n 100

commit cd38e741471da5c8c82aac751b413e5c1e3b4a86
Author: troubadoour <trobador@riseup.net>
Date:   Mon Aug 24 18:56:35 2015 +0000

    Open sdwdate's log

commit 10c601d3756ea756e879d1c3626f41d4bff2be01
Author: troubadoour <trobador@riseup.net>
Date:   Mon Aug 24 11:49:51 2015 +0000

    icons

commit db8086a2f6deed9c48086faa3397e48ebd7cc15b
Author: troubadoour <trobador@riseup.net>
Date:   Mon Aug 24 09:31:54 2015 +0000

    debian/control Depends

commit e17214b39bb338444c5a904b0150f31cc34c397e
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 23 21:31:04 2015 +0000

    lintian warning predends - depends swdate

commit f7189e2738db4a3d7995a4a5c4602bb2336387f5
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 23 21:09:13 2015 +0000

    Pre-Depends: sdwdate

commit 123c28fc147bd7568f8fbf66094e773e291ada3b
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 23 21:05:39 2015 +0000

    remove tmpfiles.d

commit 765fc3f7b9d35f559c4cc9ff5816dc8406cbdc7d
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 23 18:17:37 2015 +0000

    run sdwdate-gui as sdwdate

commit 3cf36079a13f631308f3e7f01ef97f1c2e33191e
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 23 18:05:58 2015 +0000

    absolute path for icons, required with sudo -u

commit 8ef803da3f8686293ec3ead47cc89148a629adca
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 21 18:48:44 2015 +0000

    /usr/lib/tmpfiles.d

commit 8894fa802815698e5bc9e4a307eba3ed96daee7c
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 21 18:23:43 2015 +0000

    - "sudo sytemctl [restart/stop] sdwdate" + "sudo service sdwdate *"

commit c2b41ac9e17e8d3db63d5aaada768fbb2236756c
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 21 18:17:59 2015 +0000

    /usr/lib/tmpfies.d

commit 1c796cbf68a8849c2488c434457741ddfae644e5
Author: troubadoour <trobador@riseup.net>
Date:   Tue Aug 18 20:23:34 2015 +0000

    sudoers.d

commit 78fca8fd0fa5bc1a5c21b6f930520819ff314743
Author: troubadoour <trobador@riseup.net>
Date:   Tue Aug 18 19:48:52 2015 +0000

    restart_fresh, stop sdwdate

commit f1914d44f7abdae598205bb49704cf437ddd1621
Author: troubadoour <trobador@riseup.net>
Date:   Mon Aug 17 19:46:15 2015 +0000

    self,title, message formatting

commit 558493fbab2ca619100aabdd07f58be69caf8f5a
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 16 19:30:24 2015 +0000

    left click message updated on status change

commit d70dd8f018f4ea28bd99b2ecc6e58dbc52ac25c4
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 16 15:06:06 2015 +0000

    show_message <-> show_status

commit e2f7f3648264b28e5517c4f7192311985c5f0d3f
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 16 08:07:35 2015 +0000

    reason <-> value

commit f938777bf47ceda47af59815b9e3a6c38a12f0ac
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 16 08:03:49 2015 +0000

    remove bootclockrandomization timesanitycheck

commit 30ceaa0af996bcf922048254f121b9dc644fdd91
Author: troubadoour <trobador@riseup.net>
Date:   Sat Aug 15 19:23:39 2015 +0000

    timesanitycheck and bootclockrandomization check with dpkg-query

commit 5179a0bb046c065dd32da69c75df4e8e102e10ce
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 14 19:57:07 2015 +0000

    "Gradually adjust the time"

commit 173289d31a6dd628a221fd310d91551bbf97f6fb
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 14 18:42:05 2015 +0000

    update tooltip on status change

commit 857e035342d76393d1023dcd0563bf5b3cf78135
Author: troubadoour <trobador@riseup.net>
Date:   Thu Aug 13 20:27:35 2015 +0000

    message not showing at startup -> moved self.message = '' in init

commit 08e1917b06e5a311ab1b24244c429bbe505f81a0
Author: troubadoour <trobador@riseup.net>
Date:   Thu Aug 13 17:36:53 2015 +0000

    add items in right click menu

commit 8bd113ede070c0dae5bfbbf988c1c2b2d1910089
Author: troubadoour <trobador@riseup.net>
Date:   Thu Aug 13 17:31:17 2015 +0000

    status on left click

commit e0bb4709c05b0fe228e4fe2afa2ddd6daeda2183
Author: troubadoour <trobador@riseup.net>
Date:   Thu Aug 13 16:06:40 2015 +0000

    sleep in status_changed() to prevent race condition

commit d8d3a8ec3887733c1101aaa3d8a7ee9bcf3beb86
Author: troubadoour <trobador@riseup.net>
Date:   Wed Aug 12 18:40:52 2015 +0000

    icons

commit 23f9c652d5a1f6e584a4da5898a95abed1b4bf28
Merge: 4d19cbd 452b97f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 18:08:33 2015 +0200

    Merge remote-tracking branch 'troubadour/master'

commit 9a3df0a22245c6615153802bd0576546892d3467
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 9 18:13:52 2015 +0000

    minor

commit 452b97fa20939772e4a2aedbd3de8b7fdf1e828e
Author: troubadoour <trobador@riseup.net>
Date:   Sun Aug 9 16:26:24 2015 +0000

    + timesync-monitor desktop, name "Time Synchronisation Monitor"

commit 5d9c1363b2ce296dc42c97f7d159720a216fc7d9
Author: troubadoour <trobador@riseup.net>
Date:   Sat Aug 8 23:25:08 2015 +0000

    typo in tool tip

commit ef4127090528a09f824632740e1bd82b67c5fc22
Author: troubadoour <trobador@riseup.net>
Date:   Sat Aug 8 23:15:36 2015 +0000

    check status file on loading

commit 03f6c9de7a6fd1ab1b38bc42c161ba46f473278a
Author: troubadoour <trobador@riseup.net>
Date:   Sat Aug 8 18:57:01 2015 +0000

    check_sdwdate()

commit 1e251d82ffde089019f2f6ac84abede4e0b1746d
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 7 20:19:38 2015 +0000

    QFileSystemWatcher

commit 8b2de690a962121a09ddae825f35a39251325d12
Author: troubadoour <trobador@riseup.net>
Date:   Fri Aug 7 20:16:50 2015 +0000

    debian/changelog

commit 4d19cbd1083171da3d8e1313b07dd5fd117e0eb7
Author: troubadoour <trobador@riseup.net>
Date:   Wed Aug 5 19:47:01 2015 +0000

    initial commit
